package com.steerinfo.ems.trmlocation.service.impl;

import com.steerinfo.ems.trmlocation.mapper.TRmLocationMapper;
import com.steerinfo.ems.trmlocation.model.TRmLocation;
import com.steerinfo.ems.trmlocation.service.ITRmLocationService;
import com.steerinfo.framework.mapper.IBaseMapper;
import com.steerinfo.framework.service.impl.BaseServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * TRmLocation服务实现：
 * @author 王金涛
 * @version 1.0-SNAPSHORT 2019-10-11
 * 类描述
 * 修订历史：
 * 日期：2019-10-11
 * 作者：王金涛
 * 参考：
 * 描述：TRmLocation服务实现
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
@Service(value = "tRmLocationService")
public class TRmLocationServiceImpl extends BaseServiceImpl<TRmLocation, String> implements ITRmLocationService {

    @Autowired
    private TRmLocationMapper tRmLocationMapper;

    @Override
    protected IBaseMapper<TRmLocation, String> getMapper() {
        return tRmLocationMapper;
    }

    public List<TRmLocation> getNameAndId(){
        List<TRmLocation> rows = tRmLocationMapper.getNameAndId();
        return rows;
    }
    synchronized  public String getMaxId(){
        return tRmLocationMapper.getMaxId();
    }
}
